/*******************************************************************************
 Autor: Ulli Sommer
 Bumper Demo
*******************************************************************************/

#define BUMPER_LEFT  22
#define BUMPER_RIGHT 23

void main(void)
{

    PRO_BOT128_INIT();
    DRIVE_ON();
    ENC_LED_ON();

    //Pins als Eingang
    Port_DataDirBit(BUMPER_LEFT,0);
    Port_DataDirBit(BUMPER_RIGHT,0);

    //Pullup einschalten
    Port_WriteBit(BUMPER_LEFT,1);
    Port_WriteBit(BUMPER_RIGHT,1);


    //Endlosschleife
    do
    {
        //Einfache Ausweichroutine (wurde ein Bumper bettigt?)
        if(Port_ReadBit(BUMPER_LEFT)==0 | Port_ReadBit(BUMPER_RIGHT)==0)
        {
            DRIVE_BWD(170,10);   //speed = 170; fr 1 Sekunde rckwrts fahren
            TURN_LEFT(170,5);    //speed = 170; fr 500ms links drehen
        }
        else
        {
            DRIVE_FWD(180,0);    //speed = 180; fr 100ms vorwrts fahren
        }                        //danach wieder Bumper prfen

     }while(1);

}
