/*******************************************************************************
 Autor: Ulli Sommer
 I2C-LCD Beispiel
*******************************************************************************/

#define I2C_LCD_ADDR 0x40
char LCD_TXT[22];
float Data;

void main(void)
{
    //Zeichenausgabe Test
    I2C_LCD_INIT();                      //LCD Initialisieren
    I2C_LCD_CLR();                       //LCD lschen
    I2C_LCD_LOCATE(1,1);                 //Zeile 1, Position 1
    BLINK_ON();                          //Cursor blinken ein
    LCD_TXT = "PRO-BOT128";              //auszugebender Text
    I2C_LCD_WRITE_TEXT(LCD_TXT);         //Text auf das LCD schreiben

    AbsDelay(3000);                      //Pause

    I2C_LCD_CLR();                       //LCD lschen
    BLINK_OFF();                         //Cursor blinken ausschalten

    //--> Hier sieht man auch gleich, wie schnell das ganze ist!

    do
    {
        Data=Data+1.842;                 //Variable erhhen
        I2C_LCD_LOCATE(2,1);             //Zeile 2, Position 1
        I2C_LCD_WRITE_FLOAT(Data,3);     //Floatingpoint auf das LCD schreiben
        if(Data>255)                     //Ende bei grer 255
        {
           I2C_LCD_LOCATE(1,1);          //Zeile 1, Position 1
           LCD_TXT = "Fertig!";          //auszugebender Text
           I2C_LCD_WRITE_TEXT(LCD_TXT);  //Text auf das LCD schreiben
           break;                        //Ende
        }
    }while(1);
}

