/*******************************************************************************
 Autor: Ulli Sommer
 PRO-BOT128 Sonar Navigation
*******************************************************************************/

#define min_distance 35

byte Left_Turns, Right_Turns;
word Distance;

void main(void)
{
    PRO_BOT128_INIT();
    DRIVE_ON();
    ENC_LED_ON();

    Left_Turns=0;
    Right_Turns=0;

    do
    {
        Distance=READ_SRF02(0xE0);
        if(Distance<=min_distance)
        {
           TURN_OBSTACLE();
        }
        else DRIVE_FWD(200,0);

    }while(1);

}


void TURN_OBSTACLE(void)
{
  if((Left_Turns>=3)&&(Right_Turns>=3))
  {
      Left_Turns=0;
      Right_Turns=0;
  }

  if(Right_Turns>3)
  {
     LEFT_TURN();
  }
  else RIGHT_TURN();

}


void RIGHT_TURN(void)
{
    TURN_RIGHT(160,5);

    Distance=READ_SRF02(0xE0);
    if(Distance<=min_distance)RIGHT_TURN();
    Right_Turns++;
}


void LEFT_TURN(void)
{
    TURN_LEFT(160,5);

    Distance=READ_SRF02(0xE0);
    if(Distance<=25)LEFT_TURN();
    Left_Turns++;
}

