/*******************************************************************************
 Autor: Ulli Sommer
 Snakeline Demo
 Schlagenlinienfahren ber eine Sinus-Funktion
*******************************************************************************/

//Globale Variable
float Az, Bz;
int Xz;

void main(void)
{

    PRO_BOT128_INIT();
    DRIVE_ON();

    do
    {
        //schneller
        for(Xz=50;Xz>20;Xz--)
        {
            SNAKE_DRIVE();
            AbsDelay(50);
        }

        //lagsamer
        for(Xz=20;Xz<50;Xz++)
        {
            SNAKE_DRIVE();
            AbsDelay(50);
        }

    }while(1);

}


void SNAKE_DRIVE(void)
{
    //Sinuswerte zwischen 2 und 40
    byte PWM;
    Az=(6.1415*Xz)/80.0;
    Bz=(sin(Az)+1.0);
    PWM=fabs(Bz*Bz)*10.0;
    DRIVE(240-PWM,200+PWM);
}


